XnModuleCroppingInterface Struct Reference

`#include <XnModuleInterface.h>`

## Public Attributes

XnStatus(* | SetCropping )(XnModuleNodeHandle hGenerator, const XnCropping *pCropping)
XnStatus(* | GetCropping )(XnModuleNodeHandle hGenerator, XnCropping *pCropping)
XnStatus(* | RegisterToCroppingChange )(XnModuleNodeHandle hGenerator, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterFromCroppingChange )(XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

## Member Data Documentation

## GetCropping

XnStatus(* XnModuleCroppingInterface::GetCropping) (XnModuleNodeHandle hGenerator, XnCropping *pCropping)

Gets current cropping configuration.

Parameters

  hGenerator | [in] A handle to the instance.
  pCropping | [out] Current cropping configuration.

## RegisterToCroppingChange

XnStatus(* XnModuleCroppingInterface::RegisterToCroppingChange) (XnModuleNodeHandle hGenerator, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)

Registers a callback function to cropping changes.

Parameters

  hGenerator | [in] A handle to the instance.
  handler | [in] A pointer to a function that will be called when cropping changes.
  pCookie | [in] A user cookie that will be passed to the callback function.
  phCallback | [out] Optional. Will be filled with a handle to be passed to UnregisterFromCroppingChange().

## SetCropping

XnStatus(* XnModuleCroppingInterface::SetCropping) (XnModuleNodeHandle hGenerator, const XnCropping *pCropping)

Sets the cropping.

Parameters

  hGenerator | [in] A handle to the instance.
  pCropping | [in] The cropping configuration to be set.

## UnregisterFromCroppingChange

void(* XnModuleCroppingInterface::UnregisterFromCroppingChange) (XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

Unregisters a callback function which was registered using RegisterToCroppingChange().

Parameters

  hGenerator | [in] A handle to the instance.
  hCallback | [in] The handle to the callback returned from RegisterToCroppingChange().

The documentation for this struct was generated from the following file:

- XnModuleInterface.h